#
# Conditional build:
%bcond_without	systemd		# systemd support
#
Summary:	Simple process monitor
Summary(pl.UTF-8):	Prosty monitor procesów
Name:		gnome-system-monitor
Version:	3.28.0
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-system-monitor/3.28/%{name}-%{version}.tar.xz
# Source0-md5:	b55b4e1e6e108f64859f079c8dbdcacc
URL:		http://www.gnome.org/
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11.1
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	glib2-devel >= 1:2.56.0
BuildRequires:	glibmm-devel >= 2.46.0
BuildRequires:	gnome-common >= 2.24.0
BuildRequires:	gnome-icon-theme >= 3.0.0
BuildRequires:	gtk+3-devel >= 3.22.0
BuildRequires:	gtkmm3-devel >= 3.4.0
BuildRequires:	libgtop-devel >= 1:2.38.0
BuildRequires:	librsvg-devel >= 2.35.0
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	libtool >= 2:2.2
BuildRequires:	libwnck-devel >= 3.0.0
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	libxml2-progs
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.311
%{?with_systemd:BuildRequires:	systemd-devel >= 44}
BuildRequires:	yelp-tools
Requires(post,postun):	glib2 >= 1:2.38.0
Requires:	glib2 >= 1:2.56.0
Requires:	glibmm >= 2.46.0
Requires:	gnome-icon-theme >= 3.0.0
Requires:	gtk+3 >= 3.22.0
Requires:	gtkmm3 >= 3.4.0
Requires:	libgtop >= 1:2.38.0
Requires:	librsvg >= 2.35.0
Obsoletes:	procman
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a simple process and system monitor.

%description -l pl.UTF-8
GNOME System Monitor to prosty monitor procesów i systemu.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{__enable_disable systemd systemd} \
	--disable-silent-rules \
	--disable-schemas-compile
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gnome-system-monitor
%dir %{_libexecdir}/gnome-system-monitor
%attr(755,root,root) %{_libexecdir}/gnome-system-monitor/gsm-kill
%attr(755,root,root) %{_libexecdir}/gnome-system-monitor/gsm-renice
%{_datadir}/metainfo/gnome-system-monitor.appdata.xml
%{_desktopdir}/gnome-system-monitor.desktop
%{_desktopdir}/gnome-system-monitor-kde.desktop
%{_datadir}/gnome-system-monitor
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-system-monitor.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-system-monitor.gschema.xml
%{_datadir}/polkit-1/actions/org.gnome.gnome-system-monitor.policy
%changelog
* Wed Apr 04 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-system-monitor.git;a=log;h=master

* Wed Apr 04 2018 Marcin Banasiak <marcin.banasiak@gmail.com> adb2452
- Update to 3.28.0

* Sun Sep 24 2017 Marcin Banasiak <marcin.banasiak@gmail.com> d1556ce
- Update to 3.26.0

* Mon Jul 17 2017 Jakub Bogusz <qboosh@pld-linux.org> 8696548
- C++11 compiler is required

* Thu Mar 23 2017 Marcin Banasiak <marcin.banasiak@gmail.com> f8a5123
- Update to 3.24.0

* Sat Nov 12 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 6cd7cd4
- Update to 3.22.2

* Sun Nov 15 2015 Jakub Bogusz <qboosh@pld-linux.org> dde8056
- updated to 3.18.2

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> d47f7df
- x32 rebuild
- release 3 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> c096bef
- updated gettext BR

* Sun Jul 13 2014 Łukasz Kieś <kiesiu@pld-linux.org> 3b40091
- libgtop rebuild
- release 2 (by relup.sh)

* Fri May 16 2014 Marcin Banasiak <marcin.banasiak@gmail.com> c18d0af
- Update to 3.12.2

* Wed Apr 16 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 5515ac8
- Update to 3.12.1

* Wed Apr 02 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 74e3909
- Update to 3.12.0

* Sat May 25 2013 Marcin Banasiak <marcin.banasiak@gmail.com> d87d55f
- Update to 3.8.2.1

* Mon Oct 15 2012 Łukasz Kieś <kiesiu@pld-linux.org> 872c223
- do not look for omf files in find_lang macro

* Mon Oct 15 2012 Łukasz Kieś <kiesiu@pld-linux.org> ef65963
- updated to 3.6.1
- dropped scrollkeeper, use yelp-tools

* Tue Apr 17 2012 Elan Ruusamäe <glen@pld-linux.org> b37f494
- up to 3.4.1

* Fri Nov 25 2011 Łukasz Kieś <kiesiu@pld-linux.org> c447c05
- updated to 3.2.1

* Fri Sep 30 2011 Artur Frysiak <artur@frysiak.net> a623c0a
- up to 3.2.0

* Tue May 24 2011 Marcin Banasiak <marcin.banasiak@gmail.com> d173e3e
- updated to 3.0.1

* Tue Apr 26 2011 Marcin Banasiak <marcin.banasiak@gmail.com> cf67ab2
- updated to 3.0.0; merged from DEVEL

